Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 143468 - Language change: Accessibility modifiers
Language change: Accessibility modifiers
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Editor
6.x
All All
: P1 (vote)
: 6.x
Assigned To: David Strupl
issues@javafx
:
Depends on:
Blocks: 130138
  Show dependency treegraph
 
Reported: 2008-08-11 14:05 UTC by David Strupl
Modified: 2008-09-19 10:25 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Strupl 2008-08-11 14:05:50 UTC
The accessibility modifiers (as specified in Robert's recent e-mails) will be "public", "package", "protected",
"public-readable", and "non-writable".  "private" will go away.  The default accessibility is "private to the current
script".  Status: partially implemented, currently we implement "readable" instead of "public-readable".
Comment 1 David Strupl 2008-08-19 09:08:02 UTC
The code completion must be checked to suggest proper keywords.
Comment 2 David Strupl 2008-09-08 13:09:14 UTC
This revision should check in the basic support for the access modifiers.
http://hg.netbeans.org/javafx/rev/48b4c3b55c2e
The rest will be bugs.
Comment 3 Alexandr Scherbatiy 2008-09-19 10:25:03 UTC
verified in 2008-09-19_02-01-58.zip


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo